Skip to main content
DELETE
/
report_schedules
/
{schedule_id}
/
types
curl "https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/types?type=payments.created.previous" \
  -X DELETE \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "example@methodfi.com"
  ],
  "cron": "0 8 * * *",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:24:42.118Z"
}
Removes a single Report type from an existing Report Schedule. A schedule must always retain at least one Report type.

Path Parameters

Query Parameters

Returns

Returns the updated Report Schedule object.
curl "https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/types?type=payments.created.previous" \
  -X DELETE \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "example@methodfi.com"
  ],
  "cron": "0 8 * * *",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:24:42.118Z"
}